#### D.6.6.9 classSpaceCurve

Procedure from library `classify_aeq.lib` (see classify_aeq_lib).

Return:
  the normal form of I if I is simple, -1 if I is not simple

Example:

    LIB "classify_aeq.lib";
    ring R=31,t,ds;
    ideal I=t3+6t4+13t5-13t6+10t7+2t8-6t9-10t10-15t11-6t12+8t13-2t14+t15+8t16,
    t7+15t8+7t9-11t10-15t11-6t12+8t13-2t14+t15+8t16,
    t10-11t11-6t12-t13+12t14+4t15-14t16+15t17-12t18+5t19+t20;
    ideal J=classSpaceCurve(I);
    J;
    ==> J[1]=t3
    ==> J[2]=t7+t8
    ==> J[3]=t11

User manual for Singular version 4.4.1, 2025, generated by texi2html.